Suggestions

Suggestions

8OAS 3.0

Search suggestions to be used in an autocomplete, including metaproducts, brands, labels & more. See Wiki

API Base URL
  • Server 1:https://api.migros.ch

    Public Kong Gateway URL

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

basicAuth (http)

Basic authentication is a simple authentication scheme built into the HTTP protocol.
To use it, send your HTTP requests with an Authorization header that contains the word Basic
followed by a space and a base64-encoded string username:password.

Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

Additional Information
Contact MGB-UDP-Products-Services (arg_mgb-udp-products-services@mgb.ch)

Suggestions

Returns autocomplete suggestions for a given text.

Returns autocomplete suggestions for a given text.

get
https://api.migros.ch/migros/products/v8/suggestions

Query Parameters

textstringrequired

Search text.

verbositystring

Verbosity of output. If not specified, outputs limited information. ‘full’ outputs more information on each individual item.

Allowed values:listfull

retailerstring

Filter suggestions associated with a certain retailer, e.g. brands that have visible products in this retailer.

Allowed values:alnaturabikeworlddoitgardeninterioleshopmelectronicsmfomicasamigros_chmservicesportxxsupermarkt

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

SuggestionCollection

A collection of suggestion instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

suggestionsarray[object]required
Show Child Parameters
get/migros/products/v8/suggestions
 
application/json